curl --request POST \
--url https://app.sideshift.app/api/v1/scrape/tiktok/search \
--header 'Content-Type: application/json' \
--data '
{
"query": "cooking",
"cursor": "0"
}
'import requests
url = "https://app.sideshift.app/api/v1/scrape/tiktok/search"
payload = {
"query": "cooking",
"cursor": "0"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({query: 'cooking', cursor: '0'})
};
fetch('https://app.sideshift.app/api/v1/scrape/tiktok/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"cursor": "30",
"has_more": true,
"keywords": "cooking",
"search_item_list": [
{
"anchors": null,
"author_user_id": "7595092978478515208",
"aweme_id": "7641078074167102727",
"aweme_type": 0,
"create_time": 1779077132,
"create_time_utc": "2026-05-18T04:05:32.000Z",
"desc": "Cooking yummy wash fish with eggs braised recipe",
"desc_language": null,
"image_post_info": null,
"is_ad": false,
"is_eligible_for_commission": null,
"is_nff_or_nr": false,
"is_paid_partnership": null,
"is_top": 0,
"item_comment_settings": 0,
"media_id": "v14025g50000d858cvvog65ksrlgv7ig",
"region": "KH",
"shop_product_url": null,
"url": "https://www.tiktok.com/@goodcook331/video/7641078074167102727",
"author": {
"events": null,
"language": null,
"nickname": "Good Cook",
"region": "KH",
"sec_uid": null,
"short_id": null,
"signature": null,
"social_info": null,
"uid": "7595092978478515208",
"unique_id": "goodcook331",
"avatar_larger": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg"
]
},
"avatar_medium": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg"
]
},
"avatar_thumb": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:300:300:q70.jpeg"
]
}
},
"commerce_info": {
"adv_promotable": false,
"auction_ad_invited": false,
"branded_content_type": 0,
"is_diversion_ad": 0,
"organic_log_extra": "{\"req_id\":\"20260807231153BBC929802F3B76543F28\"}",
"with_comment_filter_words": false
},
"music": {
"album": null,
"author": "Good Cook",
"duration": 108,
"id": "7641083260675902228",
"id_str": "7641083260675902228",
"is_original": true,
"is_original_sound": true,
"mid": "7641083260675902228",
"owner_nickname": "Good Cook",
"title": "original sound - goodcook331",
"user_count": null,
"cover_large": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:1080:1080:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:1080:1080:q70.jpeg"
]
},
"cover_medium": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:1080:1080:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:1080:1080:q70.jpeg"
]
},
"cover_thumb": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:1080:1080:q70.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-alisg-avt-0068/3b48883939a96eb04861eb46fff5b035~tplv-tiktokx-cropcenter-q:1080:1080:q70.jpeg"
]
}
},
"statistics": {
"aweme_id": "7641078074167102727",
"collect_count": 17776,
"comment_count": 2778,
"digg_count": 306335,
"download_count": 3293,
"forward_count": null,
"lose_comment_count": null,
"lose_count": null,
"play_count": 21189938,
"repost_count": null,
"share_count": 33622,
"whatsapp_share_count": null
},
"video": {
"data_size": 61369314,
"duration": 108,
"height": null,
"watermark_data_size": 40245213,
"width": null,
"cover": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-alisg-p-0037/owEKIABAVjoCAkBqZiA5fPX4te0CUiAgUroyCo~tplv-tiktokx-cropcenter:500:800.jpeg",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-alisg-p-0037/owEKIABAVjoCAkBqZiA5fPX4te0CUiAgUroyCo~tplv-tiktokx-cropcenter:500:800.jpeg"
]
},
"download_addr": {
"height": null,
"uri": "https://v19.tiktokcdn-us.com/720ae2e78a445b250bcd3e2febb4a02a/6a76bb06/video/tos/alisg/tos-alisg-pve-0037/o0RPIlirYuUfJnrKBQBAEZC0V5qgkBUCmoisf3/",
"url_prefix": null,
"width": null,
"url_list": [
"https://v19.tiktokcdn-us.com/720ae2e78a445b250bcd3e2febb4a02a/6a76bb06/video/tos/alisg/tos-alisg-pve-0037/o0RPIlirYuUfJnrKBQBAEZC0V5qgkBUCmoisf3/"
]
},
"dynamic_cover": {
"height": null,
"uri": "https://p19-common-sign.tiktokcdn-us.com/tos-alisg-p-0037/owEKIABAVjoCAkBqZiA5fPX4te0CUiAgUroyCo~tplv-tiktokx-origin.image",
"url_prefix": null,
"width": null,
"url_list": [
"https://p19-common-sign.tiktokcdn-us.com/tos-alisg-p-0037/owEKIABAVjoCAkBqZiA5fPX4te0CUiAgUroyCo~tplv-tiktokx-origin.image"
]
},
"origin_cover": {
"height": null,
"uri": "https://p16-common-sign.tiktokcdn-us.com/tos-alisg-p-0037/o0TIgi0CVZsIqAkfK6lCsoGxunmBCBifU5OBrP~tplv-tiktokx-shrink-aq:360:360:q75.webp",
"url_prefix": null,
"width": null,
"url_list": [
"https://p16-common-sign.tiktokcdn-us.com/tos-alisg-p-0037/o0TIgi0CVZsIqAkfK6lCsoGxunmBCBifU5OBrP~tplv-tiktokx-shrink-aq:360:360:q75.webp"
]
},
"play_addr": {
"height": null,
"uri": "https://v19.tiktokcdn-us.com/debbf9976b4ad7382fc8d310bf532747/6a76bb06/video/tos/alisg/tos-alisg-pve-0037/osPqWhK4oQQ1JDGTkFKLfRnIIwGhmTAffAeWK6/",
"url_prefix": null,
"width": null,
"url_list": [
"https://v19.tiktokcdn-us.com/debbf9976b4ad7382fc8d310bf532747/6a76bb06/video/tos/alisg/tos-alisg-pve-0037/osPqWhK4oQQ1JDGTkFKLfRnIIwGhmTAffAeWK6/"
]
}
}
}
]
},
"request_id": "req_8f3c9a2b1d4e6f70",
"upstream_calls": 1,
"meta": {
"credits_charged": 1,
"credits_remaining": 9998
}
}{
"error": "INVALID_INPUT",
"message": "Invalid request body.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UNAUTHORIZED",
"message": "Invalid scraper API key.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INSUFFICIENT_SCRAPER_CREDITS",
"message": "Insufficient scraper credits.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "RESOURCE_NOT_FOUND",
"message": "Requested resource not found or unavailable.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "PAYLOAD_TOO_LARGE",
"message": "Request body must be 32KB or smaller.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "SCRAPER_RATE_LIMITED",
"message": "Scraper API rate limit exceeded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "INTERNAL_ERROR",
"message": "Request failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_ERROR",
"message": "Data source failed. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}{
"error": "UPSTREAM_TIMEOUT",
"message": "Data source timed out. Your credits were refunded.",
"request_id": "req_8f3c9a2b1d4e6f70"
}Keyword search over videos, with recency and sort filters. Platform field names are preserved inside data. Billing: 1 SideShift credit per completed lookup.
Body
- Option 1
- Option 2
Search keyword / phrase. Accepted alias group: query or keywords.
Search keyword / phrase. Accepted alias group: query or keywords.
Pagination cursor — echo back the cursor from the previous response. Omit it for the first page.
ISO-2 region code to search from (e.g. 'US'); see /api/v1/scrape/tiktok/regions
Recency filter in days: 0 all-time (default), 1 past 24 h, 7 this week, 30 this month, 90 last 3 months, 180 last 6 months
Sort order: 0 relevance (default), 1 most-liked, 3 most recent
Accepted and ignored — the full object is always returned.
Named recency window: all-time, yesterday, this-week, this-month, last-3-months, last-6-months. Supersedes publish_time when both are sent.
Named ranking: relevance, most-liked, date-posted. Supersedes sort_type when both are sent.
Response
Completed lookup. 1 SideShift credit.
TikTok platform data payload. Field names and nesting are preserved.
Show child attributes
Show child attributes
SideShift request id. Include it in support requests.
Number of data-source lookups performed.
1 Per-request credit accounting (also surfaced in the X-Scraper-Credits-* response headers).
Show child attributes
Show child attributes